Marktplaats API
1.0
  • Overview
  • Authentication
  • Webhooks
  • Root
  • Categories
  • Category attributes
  • Advertisements
  • Advertisement
  • Advertisement images
  • Advertisement features
    • Reference
    • Examples
  • Advertisement feature
  • Advertisement purchased feature
  • Advertisement renewal
  • Advertisement statistics
  • Advertisement transaction
  • Advertisement transactions
  • Buy advertisement feature
  • Upcall confirmations
  • Bids
  • Bid
  • Ask Bidder Question
  • Me
  • Users
  • User
  • Change email
  • User advertisements
  • User brands
  • User reviews
  • Image
  • Image blob
  • Image meta information
  • Order
  • Order products
  • Order product
  • Location
  • Search
  • Error codes
  • Endpoints
  • Indices and tables
  • Changelog
Marktplaats API
  • Docs »
  • Advertisement features
  • View page source

Advertisement features¶

Collection of advertisement feature representations.

Features are paid properties of an advertisement. Features can be of various nature, ranging from increasing the visibility of an advertisement to allowing the seller to add additional data to an advertisement.

Information on buying features can be found at buy-feature.

Supported features are:

Omhoogplaatsen (omhoogplaatsen)
Move an advertisement to the top of the listing results in a category.
Dagtopper (dagtopper)
The advertisement will be put on top of the category for 24 hours.
Dagtopper 7 days (dagtopper7)
The advertisement will be put on top of the category for 7 days.
Blikvanger (homepaginaAdvertentie)
Advertisement will be displayed on the homepage of Marktplaats.

Please note that not every feature is available in every category.

Reference¶

GET /v1/advertisements/{itemId}/features

Get all the features for a given advertisement.

Examples¶

Retrieving all features :

Request :

GET /v1/advertisements/m4/features HTTP/1.1
Host: api.marktplaats.nl

Response :

HTTP/1.1 200 OK
Content-Type: application/json

{
  "_links": {
    "self": {
      "href": "/v1/advertisements/m4/features"
    },
    "curies": [
      {
        "href": "https://api.marktplaats.nl/docs/v1/rels/{rel}.html",
        "templated": true,
        "name": "mp"
      }
    ]
  },
  "_embedded": {
    "mp:advertisement-feature": [
      {
        "_links": {
          "self": {
            "href": "/v1/advertisements/m4/features/dagtopper"
          },
          "mp:buy-feature": {
            "href": "/v1/advertisements/m4/features/dagtopper/buy-feature"
          }
        },
        "name": "dagtopper",
        "price": 141,
        "available": true,
        "active": false
      },
      {
        "_links": {
          "self": {
            "href": "/v1/advertisements/m4/features/homepaginaAdvertentie"
          },
          "mp:buy-feature": {
            "href": "/v1/advertisements/m4/features/homepaginaAdvertentie/buy-feature"
          }
        },
        "name": "homepaginaAdvertentie",
        "price": 361,
        "available": true,
        "active": false
      },
      {
        "_links": {
          "self": {
            "href": "/v1/advertisements/m4/features/omhoogplaatsen"
          },
          "mp:buy-feature": {
            "href": "/v1/advertisements/m4/features/omhoogplaatsen/buy-feature"
          }
        },
        "name": "omhoogplaatsen",
        "price": 98,
        "available": true,
        "active": false
      }
    ]
  }
}
Next Previous

© Copyright 2023 Marktplaats B.V. Alle rechten voorbehouden.

Built with Sphinx using a theme provided by Read the Docs.